Subject: bug#29492: closed (Re: bug#29492: tests/guix-system.sh failure on unbound variable check)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Dec 2017 15:38:02 +0000

Your bug report

#29492: tests/guix-system.sh failure on unbound variable check

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29492: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29492
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29492: tests/guix-system.sh failure on unbound variable check
From: Eric Bavier <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 4 Dec 2017 15:37:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed in 42d16037d857aac02add38513bfa58535c1ddcfe

Thanks,

Eric Bavier, Scientific Libraries, Cray Inc.

________________________________________
From: Ludovic Courtès <[email-masked]>
Sent: Saturday, December 2, 2017 03:59
To: Eric Bavier
Cc: [email-masked]'
Subject: Re: bug#29492: tests/guix-system.sh failure on unbound variable check

Eric Bavier <[email-masked]> skribis:

>> -----Original Message-----
>> From: Ludovic Courtès [mailto:[email-masked]]
>> Sent: Thursday, November 30, 2017 4:04 AM
>> To: Eric Bavier
>> Cc: [email-masked]
>> Subject: Re: bug#29492: tests/guix-system.sh failure on unbound variable
>> check
>>
>> Hi Eric,
>>
>> Eric Bavier <[email-masked]> skribis:
>>
>> > Latest guix master (2cdf78df2d3d5d88c7e6908754233cf37cce1e61) fails
>> tests/guix-system.sh for me, on line 128.  This seems to be caused by the
>> fact that the error output contains a multi-character column number:
>> >
>> > ```
>> > /tmp/bavier/tmpfile:9:14: In procedure #<procedure 3aba2820 ()>:
>> > /tmp/bavier/tmpfile:9:14: GRUB-config: unbound variable
>> > hint: Did you forget a `use-modules' form?
>>
>> I suppose that’s with Guile 2.0, right?
>
> Right, 2.0.14.
>
>> So the patch would become:
>
> diff --git a/tests/guix-system.sh b/tests/guix-system.sh
> index 4bb866adf..eaa0c4332 100644
> --- a/tests/guix-system.sh
> +++ b/tests/guix-system.sh
> @@ -125,7 +125,8 @@ else
>       # See <http://bugs.gnu.org/26107>.
>       grep "$tmpfile:[49]:[0-9]: GRUB-config.*[Uu]nbound variable" "$errorfile"
>      else
> -     grep "$tmpfile:9:[0-9]: GRUB-config.*[Uu]nbound variable" "$errorfile"
> +     # With Guile 2.0.14 the error is reported on line 14 (the last line).
> +     grep "$tmpfile:9:[0-9]\+: GRUB-config.*[Uu]nbound variable" "$errorfile"
>      fi
>  fi
>
> No, at *column* 14.  Which I believe is the desired result, right?  Character 14 is the '(', the 'GRUB-config symbol itself starts at character 15.   But now I wonder whether we should be using a regex for that anyhow.  Do we expect the column number to change ever?

We don’t, but sometimes location info is not as precise as we’d like.

> I think it would be fine to fix the regex for Guile 2.0 only, but once the bug affecting 2.2 is fixed, it'll need to be applied there too.  Maybe it would make sense to fix both at the same time.

Yes, you’re right, it’s better to fix both.

Feel free to push.

Thank you!

Ludo’.

Subject: tests/guix-system.sh failure on unbound variable check
From: Eric Bavier <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 28 Nov 2017 19:25:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Latest guix master (2cdf78df2d3d5d88c7e6908754233cf37cce1e61) fails tests/guix-system.sh for me, on line 128.  This seems to be caused by the fact that the error output contains a multi-character column number:

```
/tmp/bavier/tmpfile:9:14: In procedure #<procedure 3aba2820 ()>:
/tmp/bavier/tmpfile:9:14: GRUB-config: unbound variable
hint: Did you forget a `use-modules' form?
./test-env: line 1: 59998 Terminated              "/home/users/bavier/src/guix/pre-inst-env" "/home/users/bavier/src/guix/guix-daemon" --disable-chroot --substitute-urls="$GUIX_BINARY_SUBSTITUTE_URL"
```

Which is not matched by the current grep pattern.  This patch fixes the issue for me, as a follow-up to commit b70d72ac47fdc9364a64bd22962b2e11524e38b2

```
diff --git a/tests/guix-system.sh b/tests/guix-system.sh
index 4bb866a..2138648 100644
--- a/tests/guix-system.sh
+++ b/tests/guix-system.sh
@@ -123,9 +123,9 @@ else
     then
        # FIXME: With Guile 2.2.0 the error is reported on line 4.
        # See <http://bugs.gnu.org/26107>.
-       grep "$tmpfile:[49]:[0-9]: GRUB-config.*[Uu]nbound variable" "$errorfile"
+       grep "$tmpfile:[49]:[0-9]\+: GRUB-config.*[Uu]nbound variable" "$errorfile"
     else
-       grep "$tmpfile:9:[0-9]: GRUB-config.*[Uu]nbound variable" "$errorfile"
+       grep "$tmpfile:9:[0-9]\+: GRUB-config.*[Uu]nbound variable" "$errorfile"
     fi
 fi

```

Eric Bavier, Scientific Libraries, Cray Inc.